# Galerie

## build
Builds and correctly places everything.
- `./build`

## run
Runs the standalone web and api server in the correct context.
- `./run`

## dev
Runs development builds of the webserver (`http://localhost:1234`) and apiserver (`http://localhost:8856`)
- `./dev`


## /srv/
This contains the standalone web server and api server
- Warning! Don't build this by itself. It wont have a frontend nor static assets. Use the `build` script.

## /web/
This contains the front end and static assets
- Warning! Don't build this by itself. It wont have the backend and wont be able to display any images in the gallery. Use the `build` script.
